from panda3d.core import Shader
from direct.showbase.ShowBase import ShowBase
base = ShowBase()
base.disableMouse()
camera.setPosHpr((8, -24, 14), (15, -18.5, 0))
panda = loader.loadModel('panda')
panda.reparentTo(render)
# load and apply the shader
panda.setShader(Shader.load(Shader.SLGLSL,
                            "./shaderfiles/vertexShader.glsl",
                            "./shaderfiles/fragmentShader.glsl"))
# Now load the panda model again with no shaders to see the differences
pandaOrig = loader.loadModel('panda')
pandaOrig.reparentTo(render)
base.run()
